Page MenuHomePhabricator

CX Suggestions: Fill suggestions about featured article missing for more language pairs
Closed, ResolvedPublic1 Story Points

Description

After T111901, following language pairs are candidates to fill suggestions based on frequently translated language pairs as per https://en.wikipedia.org/wiki/Special:ContentTranslationStats

  • en -> ca
  • en -> fr
  • en -> es
  • en -> ru
  • en -> zh
  • en -> tr
  • en -> ja
  • en -> it
  • es -> ca
  • es -> en
  • es -> pt
  • es -> fr
  • fr -> en
  • fr -> es
  • fr -> ca
  • en -> ar
  • en -> eo
  • en -> hi
  • en -> nl
  • en -> vi
  • sv -> da
  • bg -> mk
  • ca -> eo
  • ca -> simple broken: T116400
  • en -> gu
  • en -> gl
  • en -> sh
  • en -> simple broken: T116400
  • es -> eo
  • es -> gl
  • es -> oc
  • es -> simple broken: T116400
  • fr -> eo
  • fr -> it
  • it -> ca
  • nl -> af
  • pt -> ca
  • pt -> es
  • pt -> gl

Related Objects

Event Timeline

santhosh created this task.Sep 17 2015, 4:33 AM
santhosh updated the task description. (Show Details)
santhosh raised the priority of this task from to Needs Triage.
santhosh assigned this task to KartikMistry.
santhosh added a subscriber: santhosh.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2015, 4:33 AM
Amire80 triaged this task as Normal priority.Sep 17 2015, 1:34 PM
Amire80 set Security to None.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.

Change 240638 had a related patch set uploaded (by KartikMistry):
Enable suggestions in ca, en, es, fr, it, ja, tr, ru, zh

https://gerrit.wikimedia.org/r/240638

Can we add "en-> ca"?

Catalan is in the top-5 target languages when translating from English:

Translations from English as of Sept. 24, 2015:
2,020	español
1,686	français
954	português
836	català
565	Türkçe
KartikMistry updated the task description. (Show Details)Sep 24 2015, 1:30 PM

@Pginer-WMF, I filled en->ca suggestions. Thanks!

Change 240638 merged by jenkins-bot:
Enable suggestions in ca, en, es, fr, it, ja, tr, ru, zh

https://gerrit.wikimedia.org/r/240638

Amire80 updated the task description. (Show Details)Sep 25 2015, 10:19 AM
santhosh moved this task from Backlog to QA on the LE-CX6-Sprint break board.Sep 25 2015, 12:19 PM
santhosh moved this task from QA to In Progress on the LE-CX6-Sprint break board.
Amire80 added a subscriber: Amire80.EditedSep 25 2015, 12:49 PM

I tested all the pairs in the description and marked the ones that were working as [v].

I could not verify that these pairs are showing any suggestions:

  • es -> pt
  • es -> fr
  • fr -> es
  • fr -> ca

I reported this issue as T113722.

Other issues that I found, but none of them are blocking:

  • T113704 - default languages are selected in a messy way
  • T113715 - "null" is sometimes shown in language filters when going to the ContentTranslation Suggestions tab (although it probably only happens to each user the first time the user opens the Suggestions tab)
  • T113723 - Brazilian Portuguese is available as a source language for translation suggestions in pt.wikipedia.org
KuboF added a subscriber: KuboF.Sep 29 2015, 4:03 PM

There are planed promotional campaign and translation contest, both focused on Content Translation, on Esperanto Wikipedia on November 2015. Would it be possible to enable suggestions there in that time? Considering nowaday state, it would make sense to enable from English, French and Spanish into Esperanto (these 3 pair makes 75% of translations into Esperanto and for all of them is available machine translation). CX is now in medium use on Esperanto Wikipedia so I hope to boost it's usage by these (by definition at least bilingual) users providing more help, including suggestions during the contest.

KartikMistry updated the task description. (Show Details)Oct 1 2015, 8:05 AM

Change 242528 had a related patch set uploaded (by KartikMistry):
Enable CX suggestions in ar, eo, hi, nl, vi and dawiki

https://gerrit.wikimedia.org/r/242528

Arrbee moved this task from In Progress to QA on the LE-CX6-Sprint break board.Oct 1 2015, 8:11 AM

Change 242528 merged by jenkins-bot:
Enable CX suggestions in ar, eo, hi, nl, vi and dawiki

https://gerrit.wikimedia.org/r/242528

Amire80 updated the task description. (Show Details)Oct 1 2015, 7:58 PM

I tested all the current listed pairs and they work.

But I am repeatedly running into T113704, which is probably very confusing to users, because it is likely that they won't see anything when they try the Suggestions tab initially, even though the data is there.

Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 1 2015, 8:01 PM
KartikMistry updated the task description. (Show Details)Oct 6 2015, 11:58 AM
KartikMistry edited a custom field.

Change 243919 had a related patch set uploaded (by KartikMistry):
Enable Suggestion in af, gl, gu, mk, oc, sh and simplewiki

https://gerrit.wikimedia.org/r/243919

santhosh moved this task from Backlog to In progress on the LE-CX7-Sprint 1 board.Oct 6 2015, 12:02 PM
KartikMistry updated the task description. (Show Details)Oct 6 2015, 2:41 PM

Change 243919 merged by jenkins-bot:
Enable Suggestion in af, gl, gu, mk, oc, sh and simplewiki

https://gerrit.wikimedia.org/r/243919

Change 244142 had a related patch set uploaded (by KartikMistry):
Enable CX suggestions in ast, bn, ml, nb, ta and ukwiki

https://gerrit.wikimedia.org/r/244142

Change 244142 merged by jenkins-bot:
Enable CX suggestions in ast, bn, ml, nb, ta and ukwiki

https://gerrit.wikimedia.org/r/244142

Change 245862 had a related patch set uploaded (by KartikMistry):
Enable suggestions in de, fa, fi, he, nn, pa, pl and te wikis

https://gerrit.wikimedia.org/r/245862

Change 245862 merged by jenkins-bot:
Enable CX suggestions for de, fa, fi, he, nn, pa, pl and te wikipedias

https://gerrit.wikimedia.org/r/245862

Amire80 moved this task from Backlog to In Progress on the LE-CX7-Sprint 2 board.Oct 21 2015, 7:23 AM
Amire80 claimed this task.
Amire80 added a subscriber: KartikMistry.

Reassigning to myself for verification.

Amire80 updated the task description. (Show Details)Oct 23 2015, 5:56 PM

Everything works except the pairs that involve Simple English. See T116400.

Amire80 reassigned this task from Amire80 to KartikMistry.Oct 26 2015, 11:16 AM
Amire80 moved this task from In Progress to Done on the LE-CX7-Sprint 2 board.
Arrbee closed this task as Resolved.Oct 30 2015, 7:03 AM
KuboF removed a subscriber: KuboF.Oct 30 2015, 7:43 AM

The current suggestions coverage only supports a small fraction of the language pairs Content Translation supports. I think we should add more (with the end goal of supporting all of them). Should we reopen this ticket or create new one?